For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
OverviewInquiriesTransactionsRelaysAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
      • POSTVerification canceled
      • POSTVerification created
      • POSTVerification escalated
      • POSTVerification failed
      • POSTVerification passed
      • POSTVerification requires retry
      • POSTVerification skipped
      • POSTVerification submitted
      • POSTVerification tentatively failed
      • POSTVerification tentatively passed
      • POSTVerification tags updated
LogoLogo
Help CenterOpenAPI SpecStatus
WebhooksVerification Events

Verification tags updated

Payload
1{
2 "data": {
3 "attributes": {
4 "created-at": "2024-02-16T15:12:47.732Z",
5 "name": "verification.updated-tags",
6 "payload": {
7 "data": {
8 "type": "verification/database",
9 "attributes": {
10 "address-city": "San Francisco",
11 "address-postal-code": "94111",
12 "address-street-1": "123 Main St",
13 "address-subdivision": "California",
14 "birthdate": "1995-09-08",
15 "checks": [
16 {
17 "name": "database_name_comparison",
18 "status": "passed",
19 "reasons": [],
20 "requirement": "required",
21 "metadata": {}
22 },
23 {
24 "name": "database_address_comparison",
25 "status": "passed",
26 "reasons": [],
27 "requirement": "required",
28 "metadata": {}
29 }
30 ],
31 "completed-at": "2024-02-15T23:48:09.000Z",
32 "completed-at-ts": 1708040889,
33 "country-code": "US",
34 "created-at": "2024-02-15T23:45:01.000Z",
35 "created-at-ts": 1708040701,
36 "email-address": "jane@doe.com",
37 "name-first": "Jane",
38 "name-last": "Doe",
39 "name-middle": "Marie",
40 "normalized-address-city": "San Francisco",
41 "normalized-address-postal-code": "94111",
42 "normalized-address-street-1": "123 Main St",
43 "normalized-address-subdivision": "CA",
44 "status": "passed",
45 "submitted-at": "2024-02-15T23:46:12.000Z",
46 "submitted-at-ts": 1708040772,
47 "tags": [
48 "flagged_for_followup",
49 "manual_review_complete"
50 ]
51 },
52 "id": "ver_uHDiwtcx3htjajvEaeMjPQcE",
53 "relationships": {
54 "inquiry": {
55 "data": {
56 "id": "inq_zEx4jL84ShbUyuwX6AzPSqt6",
57 "type": "inquiry"
58 }
59 },
60 "template": {},
61 "inquiry-template-version": {
62 "data": {
63 "type": "inquiry-template-version",
64 "id": "itmplv_iXhqfNWqwYLAWs9G8Fm8hPfo"
65 }
66 },
67 "inquiry-template": {
68 "data": {
69 "type": "inquiry-template",
70 "id": "itmpl_p8ANAJy9iqadm2buF2xcVgqH"
71 }
72 },
73 "transaction": {},
74 "verification-template": {
75 "data": {
76 "type": "verification-template/database",
77 "id": "vtmpl_ABC123"
78 }
79 },
80 "verification-template-version": {
81 "data": {
82 "type": "verification-template-version/database",
83 "id": "vtmplv_ABC123"
84 }
85 },
86 "accounts": {
87 "data": []
88 }
89 }
90 },
91 "included": []
92 }
93 },
94 "id": "evt_5rXhSyU3gCGWjJdU8yAnM1pS",
95 "type": "event"
96 }
97}
Webhook for the `verification.updated-tags` event, which fires when tags are added to or removed from a Verification. For more info see [Webhooks Overview](https://docs.withpersona.com/webhooks). **Most integrations don't need verification tag events.** Verifications are internal building blocks of an inquiry — for tag changes that summarize risk or fraud signals across the end user's flow, listen to `inquiry.updated-tags` and inspect the inquiry's `tags`. Subscribe to `verification.updated-tags` only when you have a specific need to react to tag changes on individual verifications.
Was this page helpful?
Previous

Changelog

Next
Built with

Webhook for the verification.updated-tags event, which fires when tags are added to or removed from a Verification. For more info see Webhooks Overview.

Most integrations don’t need verification tag events. Verifications are internal building blocks of an inquiry — for tag changes that summarize risk or fraud signals across the end user’s flow, listen to inquiry.updated-tags and inspect the inquiry’s tags. Subscribe to verification.updated-tags only when you have a specific need to react to tag changes on individual verifications.

Headers

Persona-SignaturestringOptional

Header. An HMAC that you should use to check that requests are authentic. Compare this value with your own digest, computed from the request body and your webhook secret. For more info see Webhook Best Practices.

Persona-Webhook-Attempts-MadeintegerOptional
The number of times that Persona has attempted to deliver this webhook. This value is incremented each time Persona attempts to deliver the webhook, regardless of whether the delivery was successful.
Persona-Webhook-Attempts-LeftintegerOptional
The number of times that Persona will attempt to deliver this webhook. This value is decremented each time Persona attempts to deliver the webhook.
Persona-Webhook-First-Attempted-AtintegerOptional
The time at which Persona first attempted to deliver this webhook. This value is a Unix timestamp in seconds.

Payload

The payload of this webhook request is an object.
dataobjectOptional

Response

200

Return a 2xx status code to indicate that the data was received successfully. Any other status will trigger retries. For more info see Retry Logic.